"""accounting

Revision ID: a6ad2e7390a3
Revises: 32161553f279
Create Date: 2025-01-31 14:35:53.796331

"""
from alembic import op
import sqlalchemy as sa
import ryax.runner.infrastructure.database.metadata


# revision identifiers, used by Alembic.
revision = 'a6ad2e7390a3'
down_revision = '32161553f279'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('accounting_resources',
    sa.Column('requested_cpu', sa.Float(), nullable=True),
    sa.Column('requested_memory', sa.BigInteger(), nullable=True),
    sa.Column('requested_time', sa.Integer(), nullable=True),
    sa.Column('requested_gpu', sa.Integer(), nullable=True),
    sa.Column('instance_type', sa.String(), nullable=True),
    sa.Column('project_id', sa.String(), nullable=True),
    sa.Column('workflow_definition_id', sa.String(), nullable=True),
    sa.Column('action_definition_id', sa.String(), nullable=True),
    sa.Column('workflow_run_id', sa.String(), nullable=True),
    sa.Column('execution_connection_id', sa.String(), nullable=False),
    sa.Column('submitted_at', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=True),
    sa.Column('started_at', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=True),
    sa.Column('ended_at', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=True),
    sa.PrimaryKeyConstraint('execution_connection_id')
    )
    op.add_column('node_pools', sa.Column('instance_type', sa.String(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('node_pools', 'instance_type')
    op.drop_table('accounting_resources')
    # ### end Alembic commands ###
